%define version   1.0.2
%define cvsdate   20040224.084658

# build time options
# --without jackplugin

%{!?_with_jackplugin: %{!?_without_jackplugin: %define _with_jackplugin --with-jackplugin}}

%define release    1%{?pretag:.%{pretag}}%{?cvsdate:.cvs}
%define tarversion %{?cvsdate:%{cvsdate}}%{!?cvsdate:%{version}%{pretag}}

Summary:       The Advanced Linux Sound Architecture (ALSA) library %{?cvsdate:(CVS: %{cvsdate})}
Name:          alsa-lib
Version:       %version
Release:       %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
Copyright:     GPL
Group:         System Environment/Libraries
Source:        ftp://ftp.alsa-project.org/pub/lib/alsa-lib-%{tarversion}.tar.bz2
Patch0:        alsa-lib-cvscompile.patch
URL:           http://www.alsa-project.org
BuildRoot:     %{_tmppath}/%{name}-root
Requires:      alsa-driver >= %{version}
BuildRequires: alsa-driver >= %{version}
Packager:      Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution:  Planet CCRMA

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes the ALSA runtime libraries.
%if "%{cvsdate}" != "%{nil}"
This package is based on the experimental CVS version of alsa
downloaded on %{cvsdate}. Handle with care. 
%endif

%package devel
Summary: Static libraries and header files from the ALSA library.
Group: Development/Libraries
Requires: alsa-lib = %{version}

%description devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes the ALSA development libraries.
%if "%{cvsdate}" != "%{nil}"
This package is based on the experimental CVS version of alsa
downloaded on %{cvsdate}. Handle with care. 
%endif


%package jack-plugin
Summary: Jack plugin for the ALSA library
Group: Development/Libraries
Requires: alsa-lib = %{version}

%description jack-plugin
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes the Jack Audio Connection Kit plugin.
%if "%{cvsdate}" != "%{nil}"
This package is based on the experimental CVS version of alsa
downloaded on %{cvsdate}. Handle with care. 
%endif


%prep
%setup -q -n alsa-lib-%{version}%{?pretag:%{pretag}}
%patch0 -p1

%build

if [ -x "./cvscompile" ] ; then
    CVSCOMPILE_NO_MAKE=1 CVSCOMPILE_NO_CONFIGURE=1 ./cvscompile
fi
%configure --enable-static=yes
make
make doc

%if "%{_with_jackplugin}" != "%{nil}"
# make pcm jack plugin
(cd src/pcm/ext; make jack)
%endif

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/include/sys
mkdir -p $RPM_BUILD_ROOT/usr/lib
make DESTDIR=$RPM_BUILD_ROOT install

%if "%{_with_jackplugin}" != "%{nil}"
# install jack plugin
mkdir -p $RPM_BUILD_ROOT%{_libdir}/alsa-lib
(cd src/pcm/ext; make DESTDIR=$RPM_BUILD_ROOT install-jack)
%endif

# fix aserver binary name in 7.2/7.3
if [ -e $RPM_BUILD_ROOT%{_bindir}/i386-redhat-linux-aserver ] ; then
  mv $RPM_BUILD_ROOT%{_bindir}/i386-redhat-linux-aserver $RPM_BUILD_ROOT%{_bindir}/aserver
fi
if [ -e $RPM_BUILD_ROOT%{_bindir}/i386-redhat-linux-alsalisp ] ; then
  mv $RPM_BUILD_ROOT%{_bindir}/i386-redhat-linux-alsalisp $RPM_BUILD_ROOT%{_bindir}/alsalisp
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc doc/doxygen doc/asoundrc.txt COPYING ChangeLog INSTALL TODO
%{_bindir}/aserver
%{_bindir}/alsalisp
%{_libdir}/lib*.so.*
%{_datadir}/alsa

%files devel
%defattr(-, root, root)
%{_includedir}/alsa
%{_includedir}/sys/asoundlib.h
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/alsa.pc
%{_datadir}/aclocal/alsa.m4

%if "%{_with_jackplugin}" != "%{nil}"
%files jack-plugin
%dir %{_libdir}/alsa-lib
%{_libdir}/alsa-lib/*jack*
%endif

%changelog
* Tue Feb 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.2-1.cvs
- cvs: 02/24/2004
* Thu Jan  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1.cvs
- cvs: 01/08/2004
* Tue Jan  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-2.rc2.cvs
- cvs: 01/06/2004
* Sun Dec  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.rc2.cvs
- cvs: 12/07/2003
* Mon Dec  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.rc1.cvs
- cvs: 12/01/2003
* Wed Nov 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.pre1
- updated to 1.0.0pre1
- no longer install alsa 0.5.x compatibility libraries
* Thu Nov  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.8-2.cvs
- cvs: 11/06/2003
* Tue Oct 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.8-1.cvs
- cvs: 10/28/2003
* Tue Sep 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.7-1.cvs
- cvs: 09/30/2003
* Mon Sep  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-2.cvs
- cvs: 08/25/2003
* Sat Aug  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-1.cvs
- cvs: 08/09/2003
* Wed Aug  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-1.cvs
- cvs: 08/06/2003, version 0.9.6
- added target to release tag
- added alsalisp to file list
* Tue Jun  3 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.4-1.cvs
- cvs: 06/03/2003
* Sun Jun  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.4-1.cvs
- cvs: 06/01/2003
* Wed Apr  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-5.cvs
- cvs: 03/09/2003
* Thu Mar 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-4.cvs
- cvs: 03/27/2003
* Mon Mar 24 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-3.cvs
- cvs: 03/24/2003
* Fri Mar 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-2.cvs
- cvs: 03/21/2003
* Tue Mar 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1.cvs
- cvs: 0.9.1, 03/10/2003
* Wed Mar  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-45.2
- add compilation and install for pcm_jack plugin
* Tue Feb 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-45
- cvs: 02/18/2003
- fix aserver binary name in 7.2/7.3
* Mon Feb 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44.2
- cvs: 02/17/2003
* Thu Feb  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44.1
- cvs: 02/07/2003
* Mon Jan 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44
- cvs: 01/21/2003
* Fri Jan 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44
- cvs: 01/17/2003
- added package descriptions from the freshrpms source rpms
- split out the development libraries and headers
* Mon Jan 13 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-43.2
- added pkgconfig file
* Mon Dec 30 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-43.2
- cvs: 12/30/2002
* Wed Dec 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-43
- cvs: 12/11/2002
* Sun Dec  8 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-42
- cvs: 12/08/2002
* Thu Nov 18 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-41
- cvs: 11/18/2002
* Thu Oct 31 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-40
- cvs: 10/28/2002
* Tue Oct 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-39
- cvs: 10/15/2002
* Fri Aug 30 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-38
- cvs: 08/30/2002
- added static libraries package
* Tue Aug 20 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-37
- cvs: 08/20/2002
* Sun Jul 28 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-36
- cvs: 08/04/2002
* Fri Jul  5 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-33
- cvs: 07/05/2002
* Fri May 31 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-31.1
- cvs: 05/31/2002
- added cvs warning on summary and description
* Wed May 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-30
- cvs: 05/15/2002
* Fri Jan 25 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-26
- cvs: 01/25/2002
* Wed Jan  3 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-25
- cvs: 01/03/2002
* Wed Dec 12 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- changed name of asoundrc.doc to asoundrc.txt
- changed doc generation (use make doc)
* Wed Dec  5 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-23
- cvs: 12/05/2001 (post beta10)
* Mon Nov 26 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-22
- cvs: 11/26/2001 (post beta9)
* Sat Nov 24 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-21
- cvs: 11/24/2001 (post beta9)
* Fri Nov 23 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-20
- cvs: 11/23/2001 (post beta9)
- removed alsa-driver-headers dependency (see alsa-driver spec file)
* Tue Nov 21 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-19
- cvs: 11/21/2001 (post beta9)
* Tue Oct  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-18
- cvs: 10/02/2001
* Mon Sep 17 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-17
- cvs: 9/17/2001
- added /usr/include/alsa to list of files
- added dependency to alsa-driver-headers
* Fri Aug 31 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-16
- cvs: 8/31/2001
* Thu Aug 30 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-15
- cvs: 8/30/2001
* Wed Aug 22 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-14
- cvs: 8/22/2001
* Mon Aug 13 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-13
- cvs: 8/13/2001
* Wed Aug  8 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-12
- cvs: 8/08/2001
* Fri Jul 20 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-10
- cvs: 7/20/2001
* Tue Jul 19 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-9
- cvs: 7/19/2001
* Tue Jul 17 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-8
- cvs: 7/17/2001
* Tue Jul 16 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added alsa-dummy package, provides libasound.so.1 for backwards 
  compatibility with rpm packages that need it. 
* Mon Jul  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-7
- cvs: 7/05/2001
- added BuildRequires
* Mon Jul  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-6
- cvs: 7/02/2001
* Sat Jun 30 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-5
- cvs: 6/30/2001
* Wed Jun 27 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-4
- added code to generate doxygen docs
* Mon Jun 25 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-3
- 0.9 beta4 for 2.4.5-2
- cvs for 2.4.5-2, added aserver and share/alsa
* Mon Jun 11 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.9beta4 for 2.4.5-1
* Thu Apr  5 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.9beta3 for 2.4.2-7
* Thu Jan 25 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.5.10b for redhat7
* Thu Dec  7 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.5.10, added buildroot and prefix support
* Wed Aug  2 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added check for proper alsa-driver version
* Tue Jul 11 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- went back to 0.5.7 'cause of midi
* Wed Jun 14 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- recompiled for 2.2.16-1
* Mon Jun  5 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- support for 0.5.8
* Wed May 31 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- removed build root
- explicitly named files
- added post ldconfig
* Mon May 28 1998 Helge Jensen <slog@slog.dk>
- Made SPEC file

